/*
Copyright 2010 Harteex Productions
License: Creative Commons Attribution 3.0 Unported
http://creativecommons.org/licenses/by/3.0/
*/
#include "music.h"
#include "musicfile.h"

bool musicLoaded = false;

void loadMusic()
{
	if (!musicLoaded && configMusic == CONFIG_MUSIC_ON)
	{
		mixerPause(true);
		if (!mixerSetOgg("ChipWorld.ogg"))
		{
			mixerSetOggFromBuffer(oggMusic, oggMusicSize);
		}
		mixerPause(false);

		musicLoaded = true;
	}
}

void unloadMusic()
{
	if (musicLoaded)
	{
		mixerOggClear();
		musicLoaded = false;
	}
}
