/*
Copyright 2010 Harteex Productions
License: Creative Commons Attribution 3.0 Unported
http://creativecommons.org/licenses/by/3.0/
*/
#ifndef __sound_h__
#define __sound_h__

#include "config.h"

#include <stdint.h>
#include <stdlib.h>
#include <stdbool.h>

#include "mixer.h"
#include "global.h"

#define SOUND_CHIP 1
#define SOUND_TICK 2
#define SOUND_DOOR 3
#define SOUND_BOMB 4
#define SOUND_HITWALL 5
#define SOUND_SOCKET 6
#define SOUND_SPLASH 7
#define SOUND_WIN 8
#define SOUND_TELEPORT 9
#define SOUND_ITEM 10
#define SOUND_BUTTON 11
#define SOUND_THIEF 12

void playSound(uint8_t sound);

#endif
